Skip to main content
GET
Get an organization by ID or slug

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Path Parameters

id
string
required

Organization ID or slug

Query Parameters

expand
string

Comma-separated fields to expand. Supports selection with brackets (e.g., "createdBy,updatedBy" or "targets.company[icon,tradeName]").

Example:

"createdBy"

Response

Organization found

object
string
required

Object type

Example:

"page"

id
string
required

Unique identifier

Example:

"p_abc123"

createdAt
string<date-time>
required

Creation timestamp

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2024-01-15T14:45:00.000Z"

name
string
required
Example:

"Acme Corp"

slug
string
required
Example:

"acme"

billing
enum<string>
required
Available options:
stripe,
kong
invoiceEmails
string[]
required
Maximum array length: 10
createdBy
Created by · object

Principal who created this object

Example:
updatedBy
Updated by · object

Principal who last updated this object

Example:
tradeName
string
status
enum<string>
Available options:
draft,
trialing,
active,
incomplete,
incomplete_expired,
past_due,
canceled,
unpaid,
paused
domain
string | null
allow_auto_join
boolean
microsoftTenants
object[] | null
stripeCustomerId
string | null
stripeSubscriptionId
string | null
kongCustomerId
string | null
trialEndedAt
string<date-time> | null
icon
object | null
theme
object | null

Configurações de tema da organização

settings
object | null

Configurações da organização

params
object | null

Organization parameters

owner
object | null
billingAddress
object | null

Endereço de faturamento

document
string
defaultPaymentMethod
string
trialDaysRemaining
integer | null

Dias restantes de trial

Example:

12